
<template>

    <div class="white-box">
        <h3 class="box-title m-b-0">Envois de mail</h3>
        <p class="text-muted m-b-30 font-13"> </p>
        <form class="form-horizontal" @submit="formSubmit">
            <input type="hidden" v-model="idsondage">
            <div class="form-group">
                <label class="col-md-12" >Email <span class="help"> exemple "exemple@gmail.com"</span></label>
                <div class="row">
                    <div class="col-md-8">
                        <div class="col-md-12">
                            <input-tag v-model="emails" validate="email"></input-tag>
                        </div>
                    </div>
                    <div class="col-md-4">

                    </div>
                </div>

            </div>
            <div class="form-group">
                <label class="col-md-12">Message</label>
                <div class="col-md-12">
                    <b-form-textarea
                                     v-model="message"
                                     placeholder="Entrer votre message"
                                     :rows="4">

                    </b-form-textarea>
                </div>
            </div>
            <div class="text-center" >
                <button class="btn btn-default btn-rounded btn-lg" > Envoyer </button>
            </div>
        </form>
    </div>


</template>



<script>

    import InputTag from 'vue-input-tag';
    import axios from 'axios';
    import bFormTextarea from 'bootstrap-vue/es/components/form-textarea/form-textarea';

    export default {

        props: ['idsondage'],
        data() {
            return {

                id:this.idsondage,
                emails: [],
                message:''
            }

        },
        components:{
            'input-tag': InputTag,
            'b-form-textarea': bFormTextarea
        },
        methods:{
            formSubmit(e) {
                $("#envoi").html('<div class="preloader">\n' +
                    '            <div class="cssload-speeding-wheel"></div>\n' +
                    '        </div>');
                e.preventDefault();
                let currentObj = this;
                axios.post('store', {
                    sondageid: this.id,
                    listemails: this.emails,
                    message:this.message
                })
                    .then(function (response) {
                        currentObj.output = response.data;
                        location.replace("/customeremails");
                    })
                    .catch(function (error) {
                        currentObj.output = error;
                    });
            }
        }
    }

</script>
